<?php
/**
 * A Magento 2 module named FiloBlu/Cegid
 * Copyright (C) 2019  2019
 * 
 * This file is part of FiloBlu/Cegid.
 * 
 * FiloBlu/Cegid is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

namespace FiloBlu\Cegid\Api\Data;

use Magento\Framework\Api\ExtensibleDataInterface;

interface CegidInterface extends ExtensibleDataInterface
{

    const GRID = 'grid';
    const CEGID_ID = 'cegid_id';

    /**
     * Get cegid_id
     * @return string|null
     */
    public function getCegidId();

    /**
     * Set cegid_id
     * @param string $cegidId
     * @return \FiloBlu\Cegid\Api\Data\CegidInterface
     */
    public function setCegidId($cegidId);

    /**
     * Get grid
     * @return string|null
     */
    public function getGrid();

    /**
     * Set grid
     * @param string $grid
     * @return \FiloBlu\Cegid\Api\Data\CegidInterface
     */
    public function setGrid($grid);

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \FiloBlu\Cegid\Api\Data\CegidExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * Set an extension attributes object.
     * @param \FiloBlu\Cegid\Api\Data\CegidExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \FiloBlu\Cegid\Api\Data\CegidExtensionInterface $extensionAttributes
    );
}
